import { Style } from '../system/platform/Props';
import { Dict } from '../types/Dict';
import { Component } from './component';
export declare type Handler = (value: any) => void;
export declare type PropHandler = Dict<Handler>;
export declare function attrHandler(element: HTMLElement | SVGElement, name: string): Handler;
export declare function htmlPropHandler(component: Component<HTMLElement>, DEFAULT_STYLE: Style): PropHandler;
export declare function svgPropHandler(component: Component<SVGElement>, DEFAULT_STYLE: Style): PropHandler;
export declare function basePropHandler(element: HTMLElement | SVGElement, DEFAULT_STYLE: Style): PropHandler;
export declare function stylePropHandler(component: Component<HTMLElement | SVGElement>, DEFAULT_STYLE: Style): PropHandler;
export declare function inputPropHandler(element: HTMLInputElement | HTMLTextAreaElement | (HTMLDivElement & ElementContentEditable), VALUE_NAME: string, DEFAULT_VALUE: any): PropHandler;
